Subject: RE: http://tools.ietf.org/html/draft-ietf-bfd-seamless-base-02#section-7.5

From: "Nobo Akiya (nobo)" <[email-masked]>
Date: Sun, 14 Sep 2014 19:07:11 +0000

Hi Youssef,

Thanks for the comment, and I hope it is ok that I am adding the list to this reply. The intent of the text is correct as it tried to describe two separate scenarios: An SBFDInitiator initiating the poll sequence & an SBFDReflector initiating the poll sequence. However, what you pointed out is valid in a sense that the text need clarifications (i.e. it is indeed confusing). We will add clarifications to this section (7.5. The Poll Sequence) in the next version.

Thanks!

-Nobo

From: [email-masked] [mailto:[email-masked]]
Sent: Saturday, September 13, 2014 2:04 PM
To: Nobo Akiya (nobo)
Subject: http://tools.ietf.org/html/draft-ietf-bfd-seamless-base-02#section-7.5

Hi Nobo,

I was reading your draft about s-bfd and in the section 7.5 I think there is a typo, we should read "If an SBFDReflector receives an S-BFD packet with Final (F) bit set..." and not "If an SBFDReflector receives an S-BFD packet with Poll (P) bit set..."

Regards,

Youssef

7.5<http://tools.ietf.org/html/draft-ietf-bfd-seamless-base-02#section-7.5>.  The Poll Sequence

   Poll sequence MAY be used in both directions.  The Poll sequence MUST

   operate in accordance with [RFC5880<http://tools.ietf.org/html/rfc5880>].  An SBFDReflector MAY use the

   Poll sequence to slow down that rate at which S-BFD packets are

   generated from an SBFDInitiator.  This is done by the SBFDReflector

   using procedures described in Section 7.8<http://tools.ietf.org/html/draft-ietf-bfd-seamless-base-02#section-7.8> and setting the Poll (P)

   bit in the reflected S-BFD packet.  The SBFDInitiator is to then send

   the next S-BFD packet with the Final (F) bit set.  If an

   SBFDReflector receives an S-BFD packet with Poll (P) bit set, then

   the SBFDReflector MUST respond with an S-BFD packet with Poll (P) bit

   cleared and Final (F) bit set.